@import url("https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap");

* {
  margin: 0px;
  padding: 0px;
  box-sizing: border-box;
  font-family: "Poppins", serif;
  color: white !important;
  text-shadow: 0px 0px 10px black;
  transition: 0.2s;
  user-select: none;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-rendering: optimizeLegibility;
}

body {
  background: #121212;
  height: 100vh;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
}
.container {
  display: flex;
  align-items: center;
  justify-content: space-between;
  max-width: 400px;
  width: 95%;
  height: 120px;
  background: rgba(255, 255, 255, 0.15);
  border-radius: 5px;
  border: 1px solid rgba(255, 255, 255, 0.288);
  box-shadow: 0px 0px 30px rgba(255, 255, 255, 0.274);
  padding: 10px;
}

.container:hover .bxs-cloud {
  left: 60px;
}

.container:hover .bxs-cloud:nth-child(1) {
  left: -30px;
}

.container:hover .sun {
  scale: 1.2;
  box-shadow: 0px 0px 60px #ffae00;
}

.sun {
  padding: 40px;
  background: #ffae00;
  border-radius: 100%;
  box-shadow: 0px 0px 40px #ffae00;
  margin-left: 15px;
}

.content {
  display: flex;
  flex-direction: column;
  align-items: end;
  h1 {
    font-size: 50px;
  }
}

.inp-bx-container {
  max-width: 400px;
  width: 95%;
  height: 36px;
  position: relative;
  margin: 4px;
  input {
    padding-left: 10px;
    font-size: 18px;
    border-radius: 5px;
    background: rgba(255, 255, 255, 0.15);
    border: 1px solid rgba(255, 255, 255, 0.288);
    width: 100%;
    height: 100%;
    outline: none;
  }
  div {
    background: #ff9000;
    color: black !important;
    border-radius: 9px;
    height: 24px;
    width: 24px;
    display: flex;
    align-items: center;
    justify-content: center;
    position: absolute;
    right: 4px;
    top: 50%;
    transform: translate(0%, -50%);
    cursor: pointer;
  }
}

.bx-x {
  color: #000 !important;
  font-weight: bold !important;
}
.objs {
  position: relative;
}
.bxs-cloud {
  font-size: 80px;
  position: absolute;
  top: 10px;
  left: 30px;
  text-shadow: 0px 0px 10px black;
}

.bxs-cloud:nth-child(1) {
  left: 0;
  top: -10px;
  z-index: 5;
}

.others {
  max-width: 400px;
  width: 95%;
  height: 48px;
  display: flex;
  justify-content: space-between;
  margin: 4px;
  gap: 2px;
}

.box {
  border-radius: 4px;
  background: rgba(255, 255, 255, 0.15);
  border: 1px solid rgba(255, 255, 255, 0.288);
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  cursor: pointer;
  span {
    line-height: 0px;
    font-size: 15px;
  }
}
.box:hover {
  scale: 0.97;
  background: rgba(255, 255, 255, 0.26);
  box-shadow: 0px 0px 10px rgba(255, 255, 255, 0.164);
}

.bx-wind,
.bx-droplet,
.bxs-thermometer {
  color: rgb(0, 140, 255) !important;
}

small {
  font-size: 10px !important;
}
.inp-bx-container,
.container,
.others {
  backdrop-filter: blur(5px);
}

.err-msg-con {
  position: absolute;
  top: -150px;
  left: 50%;
  transform: translate(-50%, 0%);
  max-width: 400px;
  width: 95%;
  height: 100px;
  border-radius: 10px;
  background: #ff9000;
  border: 1px solid rgba(255, 255, 255, 0.288);
  display: flex;
  visibility: hidden;
  align-items: center;
  justify-content: center;
  padding: 20px;
  gap: 10px;
  animation: show 0.3s forwards;

  .bx {
    font-size: 32px;
  }

  .err-msg {
    font-size: 18px;
    font-weight: bold;
  }
}

.hide {
  animation: hide 0.3s forwards;
}

.show {
  animation: show 0.3s forwards;
}

@keyframes show {
  0% {
    top: -150px;
  }

  100% {
    top: 10px;
  }
}
@keyframes hide {
  0% {
    top: 10px;
  }
  100% {
    top: -150px;
  }
}
